#ifndef MSP_DEMOSCENE_COLORFADE_H_
#define MSP_DEMOSCENE_COLORFADE_H_

#include <msp/gl/color.h>
#include "action.h"

namespace Msp {
namespace DemoScene {

class ColorFadeAction: public InterpolationAction
{
protected:
	Msp::GL::Color start_color;
	Msp::GL::Color end_color;

	ColorFadeAction(const Msp::GL::Color &);

public:
	virtual void start(float, float);
	virtual void interpolate(float, float);
	virtual const Msp::GL::Color &get_color() const = 0;
	virtual void set_color(const Msp::GL::Color &) = 0;
};

} // namespace DemoScene
} // namespace Msp

#endif
